Erreur de compilation sous Ubuntu

Cela fait plusieurs fois que je suis dans l’incapacité de compiler une application avec Ubuntu. La première fois, j’ai mis cela sur le compte de l’application, puis il y a eu d’autres applications qui présentaient le même problème notamment PHP. J’ai doncfini par me dire que cela venait sans doute de mon installation.

Le message d’erreur est le suivant :

error: C++ preprocessor "/lib/cpp" fails sanity check

La cause est en fait toute simple, il me manquait le paquet build-essential. Un simple sudo apt-get install build-essential et tout est rentré dans l’ordre.

Ce contenu a été publié dans Ubuntu. Vous pouvez le mettre en favoris avec ce permalien.

4 réponses à Erreur de compilation sous Ubuntu

  1. Christophe dit :

    C’est moi ou le paquet s’appelle "build-essential" (sans "s") ?

    Car oui c’est très important dans un apt-get.

  2. JMF dit :

    Christophe> Tu as tout à fait raison. Décidément, il va vraiment falloir que je me remette le cerveau en place moi.

  3. Elfir3 dit :

    Merci beaucoup pour cette petite aide 😉

  4. ~~Nikko~~ dit :

    checking whether byte ordering is bigendian… no
    checking for kernel include tree… configure: error: no suitable configured kernel include tree found

    Bizarre je test une nouvelle distrib et une erreur suivante qui complete l’erreur build-essential

Les commentaires sont fermés.